Bug 833197 - SELinux is preventing acpid from 'module_request' accesses on the system .
SELinux is preventing acpid from 'module_request' accesses on the system .
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:ae6ee42b2b02ceb2940ceaa3737...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 16:48 EDT by MADbookworm
Modified: 2012-07-25 23:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-25 23:54:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description MADbookworm 2012-06-18 16:48:44 EDT
libreport version: 2.0.8
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc16.i686
reason:         SELinux is preventing acpid from 'module_request' accesses on the system .
time:           Mon 18 Jun 2012 03:39:28 PM CDT

description:
:SELinux is preventing acpid from 'module_request' accesses on the system .
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that acpid should be allowed module_request access on the  system by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep acpid /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:apmd_t:s0
:Target Context                system_u:system_r:kernel_t:s0
:Target Objects                 [ system ]
:Source                        acpid
:Source Path                   acpid
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-86.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.7-1.fc16.i686 #1 SMP Tue May
:                              22 14:14:30 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Mon 18 Jun 2012 03:33:25 PM CDT
:Last Seen                     Mon 18 Jun 2012 03:33:25 PM CDT
:Local ID                      96645c50-2073-438e-ac76-1689f2cb1b72
:
:Raw Audit Messages
:type=AVC msg=audit(1340051605.117:100): avc:  denied  { module_request } for  pid=4908 comm="acpid" kmod="net-pf-16-proto-16-type-acpi_event" scontext=system_u:system_r:apmd_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=system
:
:
:Hash: acpid,apmd_t,kernel_t,system,module_request
:
:audit2allow
:
:#============= apmd_t ==============
:#!!!! This avc can be allowed using the boolean 'domain_kernel_load_modules'
:
:allow apmd_t kernel_t:system module_request;
:
:audit2allow -R
:
:#============= apmd_t ==============
:#!!!! This avc can be allowed using the boolean 'domain_kernel_load_modules'
:
:allow apmd_t kernel_t:system module_request;
:
Comment 1 Daniel Walsh 2012-06-19 09:32:20 EDT
We allow this in F17/F18
Comment 2 Miroslav Grepl 2012-06-22 04:07:11 EDT
Fixed in selinux-policy-3.10.0-90.fc16
Comment 3 Fedora Update System 2012-07-02 04:49:07 EDT
selinux-policy-3.10.0-90.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-90.fc16
Comment 4 Fedora Update System 2012-07-03 11:50:53 EDT
Package selinux-policy-3.10.0-90.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-90.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10203/selinux-policy-3.10.0-90.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-25 23:54:32 EDT
selinux-policy-3.10.0-90.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.